
QGIS Application - Bug report #2210

fTools: Select by location works only within current extent

2009-12-08 12:03 PM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12270

Description

Select by location works only within current extent.

Associated revisions

Revision 95382e64 - 2010-07-14 11:52 AM - cfarmer -

Select by location now works on full layer extent. Fixes #2210.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13915 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision e2d0f006 - 2010-07-14 11:52 AM - cfarmer -

Select by location now works on full layer extent. Fixes #2210.

git-svn-id: http://svn.osgeo.org/qgis/trunk@13915 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-09 03:23 AM - Giovanni Manghi

Is this actually a bug?

I mean, maybe it was not on purpose, but it can be pretty handy as "feature". After all to work as it is supposed you just need to make a zoom to the full

extent of the location you want to use to select features...

#2 - 2009-12-09 03:31 AM - Maxim Dubinin

If this is not a bug, it is definitely not user friendly. Why is this working on the extent while other tools do not? This is definitely a handy mode, but, like "work

on selected" should be optional and switchable, not default. User might not understand that he needs to Zoom to full extent.

#3 - 2009-12-09 03:35 AM - Giovanni Manghi

agree

#4 - 2010-07-14 02:54 AM - cfarmer -
http://svn.osgeo.org/qgis/trunk/qgis@13915
http://svn.osgeo.org/qgis/trunk@13915


- Status changed from Open to In Progress

Fixed in commit:e2d0f006 (SVN r13916). Now works on full layer extent.

Carson

#5 - 2010-07-14 02:54 AM - cfarmer -

- Resolution set to fixed

- Status changed from In Progress to Closed

2024-04-29 2/2


